let non_configurable = {boring: "C'est la MAAF que je préfère..."};
Object.seal(non_configurable);
/* Bug in JavaScript ('property "boring" is non-configurable and can't be deleted')
and compilation error in TypeScript ('The operand of a 'delete' operator must be optional.') */
// delete non_configurable.boring;

const UK = {};
Object.defineProperty(UK, "prime minister", {
    value: "Boris Johnson",
    enumerable: true,
    configurable: false,
    writable: false
});
Object.defineProperty(UK, "secret intelligence service head", {
    value: "Richard Moore",
    enumerable: true,
    configurable: false,
    writable: false
});
Object.defineProperty(UK, "secret intelligence service 007", {
    value: "James Bond",
    enumerable: false,
    configurable: false,
    writable: false
});

console.assert(UK.propertyIsEnumerable("constructor") === false);
console.assert(UK.propertyIsEnumerable("secret intelligence service 007") === false);

for (const property in UK) {
    // '"suppressImplicitAnyIndexErrors": true':
    console.log(`${property}: ${UK[property]}`); // "prime minister" and "secret intelligence service head" only...
}
