interface Patient {
    medical_record?: string;
    nick_name: string;
}

function plastic_surgery_data(p: Patient): string {
    if (p.nick_name !== "Frankenstein") // We're sure that 'p.medical_record' isn't undefined:
        return p.medical_record!.normalize(); // '!' is required by '"strictNullChecks": true'
    // Etc.
    return "Something else...";
}

function plastic_surgery_data_(p: Patient): string | undefined {
    if (p.nick_name !== "Frankenstein")
        // Generated JavaScript: 'if (p.medical_record !== undefined) return p.medical_record.normalize(); else return undefined;'
        return p.medical_record?.normalize(); // '?' is required by '"strictNullChecks": true'
    // Etc.
    return "Something else...";
}
