function possess_given_name(o: any): o is { given_name: string } { // Type guard: type predicate is 'o is { given_name: string }'
    return 'given_name' in o;
}

interface _Data {
    high_quality: boolean;
}

type Data = _Data; // For pedagogy only
function isData(d: any): d is Data {
    return 'high_quality' in d;
}

const ws = new WebSocket("ws:127.0.0.1:1963", "FranckBarbier");
ws.onmessage = (event: MessageEvent) => {
    const d: any = JSON.parse(event.data);
    if (isData(d)) { // Allow access to 'high_quality' at *COMPILATION TIME*:
        const high_quality_: boolean = d.high_quality;
    }
}
